import { RequestConfigType, ResponseType, ResolveUrlConfigType } from "../types/HttpClients.types";
declare type ConfigOverrideType = RequestConfigType & ResolveUrlConfigType;
declare type DefaultConfigType = ConfigOverrideType & {
    lazy?: boolean;
};
declare type ResultType = [((c?: ConfigOverrideType) => Promise<ResponseType>), boolean];
/**
 * Hook to execute a post request
 * @param path
 * @param config
 */
declare const usePost: (path: string, config?: DefaultConfigType | undefined) => ResultType;
export default usePost;
